MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
BlockingNfsOperation Class Referenceabstract

Utility class to implement a blocking NFS call using the libnfs async API. More...

`#include <Blocking.hxx>`

Inheritance diagram for BlockingNfsOperation:
[legend]
Collaboration diagram for BlockingNfsOperation:
[legend]

## Public Member Functions
| BlockingNfsOperation (NfsConnection &_connection)
void | Run ()
| Throws std::runtime_error on error. More...

## Protected Member Functions
virtual void | Start ()=0
virtual void | HandleResult (unsigned status, void *data)=0

## Protected Attributes
NfsConnection & | connection

## Detailed Description

Utility class to implement a blocking NFS call using the libnfs async API.

The actual method call is deferred to the EventLoop thread, and method Run() waits for completion.

Definition at line 38 of file Blocking.hxx.

## Constructor & Destructor Documentation

BlockingNfsOperation::BlockingNfsOperation | ( | NfsConnection & | _connection | ) |
| inline

Definition at line 53 of file Blocking.hxx.

## Member Function Documentation

virtual void BlockingNfsOperation::HandleResult | ( | unsigned | status,
|  | void * | data
| ) |  |
| protected pure virtual

void BlockingNfsOperation::Run | ( |  | ) |

Throws std::runtime_error on error.

virtual void BlockingNfsOperation::Start | ( |  | ) |
| protected pure virtual

## Field Documentation

NfsConnection& BlockingNfsOperation::connection
| protected

Definition at line 50 of file Blocking.hxx.

The documentation for this class was generated from the following file:

- lib/nfs/Blocking.hxx